--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--      (c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--

DefineButton( { Pos = 1, Level = 0, Icon = "icon-move-peasant",
  Action = "move",
  Key = "m", Hint = _("~!Move"), Popup = "popup-commands",
  ForUnit = {
	"unit-peasant", "unit-attack-peasant",
    "unit-footman", "unit-arthor-literios",
	"unit-archer", "unit-ranger",
	"unit-knight", "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light", "unit-white-mage",
	"unit-gryphon-rider",
	"unit-dwarves",
} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword1",
  Action = "attack",
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {
	"unit-peasant", "unit-attack-peasant",
    "unit-footman", "unit-arthor-literios",
	"unit-archer", "unit-ranger",
	"unit-knight", "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light", "unit-white-mage",
	"unit-gryphon-rider",
	"unit-dwarves",
} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword2",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-sword1"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {
	"unit-attack-peasant",
	"unit-footman", "unit-arthor-literios", 
	"unit-knight",  "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light",
	"unit-archer", "unit-ranger",
    "unit-dwarves", 
} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword3",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-sword2"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {
	"unit-attack-peasant",
	"unit-footman", "unit-arthor-literios", 
	"unit-knight",  "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light",
	"unit-archer", "unit-ranger",
    "unit-dwarves", 
} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield1",
  Action = "stop",
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {
	"unit-footman", "unit-knight", "unit-archer", "unit-paladin",
    "unit-dwarves", "unit-ranger", "unit-ballista", "unit-peasant",
    "unit-flying-angel", "unit-arthor-literios", "unit-knight-rider", "unit-wise-man",
    "unit-man-of-light", "unit-white-mage", "unit-balloon",
    "unit-gryphon-rider", "unit-mage", "unit-critter",
} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield2",
  Action = "stop",
  Allowed = "check-upgrade", AllowArg = {"upgrade-human-shield1"},
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {
	"unit-footman", "unit-knight", "unit-archer", "unit-paladin",
    "unit-dwarves", "unit-ranger", "unit-ballista", "unit-arthor-literios", "unit-knight-rider",
    "unit-wise-man", "unit-man-of-light"
} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield3",
  Action = "stop",
  Allowed = "check-upgrade", AllowArg = {"upgrade-human-shield2"},
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {
	"unit-footman", "unit-knight", "unit-archer", "unit-paladin",
    "unit-dwarves", "unit-ranger", "unit-ballista", "unit-arthor-literios", "unit-knight-rider",
    "unit-wise-man", "unit-man-of-light"
} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-arrow1",
  Action = "attack",
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-archer", "unit-ranger", "unit-female-hero"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-arrow2",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-arrow1"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-archer", "unit-ranger", "unit-female-hero"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-arrow3",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-arrow2"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-archer", "unit-ranger", "unit-female-hero"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-germanic-patrol-land",
  Action = "patrol",
  Key = "p", Hint = _("~!Patrol"), Popup = "popup-commands",
  ForUnit = {
	"unit-attack-peasant",
    "unit-footman", "unit-arthor-literios",
	"unit-archer", "unit-ranger",
	"unit-knight", "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light", "unit-white-mage",
	"unit-gryphon-rider",
	"unit-dwarves",
  } } )
  
DefineButton( { Pos = 5, Level = 0, Icon = "icon-germanic-stand-ground",
  Action = "stand-ground",
  Key = "t", Hint = _("S~!tand Ground"), Popup = "popup-commands",
  ForUnit = {
	"unit-attack-peasant",
    "unit-footman", "unit-arthor-literios",
	"unit-archer", "unit-ranger",
	"unit-knight", "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light", "unit-white-mage",
	"unit-gryphon-rider",
	"unit-dwarves",
} } )

-- worker specific actions ---------------------------------------------------

DefineButton( { Pos = 4, Level = 0, Icon = "icon-repair",
  Action = "repair",
  Key = "r", Hint = _("~!Repair"), Popup = "popup-commands",
  ForUnit = {"unit-peasant", "unit-attack-peasant",} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-harvest",
  Action = "harvest",
  Key = "h", Hint = _("~!Harvest Lumber/Mine Gold"), Popup = "popup-commands",
  ForUnit = {"unit-peasant", "unit-attack-peasant",} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-germanic-return-goods",
  Action = "return-goods",
  Key = "g", Hint = _("Return with ~!Goods"), Popup = "popup-commands",
  ForUnit = {"unit-peasant", "unit-attack-peasant",} } )

-- build basic/advanced structs -----------------------------------------------

DefineButton( { Pos = 7, Level = 0, Icon = "icon-build-basic-structure",
  Action = "button", Value = 1,
  Key = "b", Hint = _("~!Build Basic Structure"), Popup = "popup-commands",
  ForUnit = {"unit-peasant"} } )
  
DefineButton( { Pos = 8, Level = 0, Icon = "icon-build-basic-structure",
  Action = "button", Value = 2,
  Key = "v", Hint = _("Build Ad~!vanced Structure"), Popup = "popup-commands",
  ForUnit = {"unit-peasant"} } )


-- Simple Buildings Freeman -----------------------------------------------------

DefineButton( { Pos = 1, Level = 1, Icon = "icon-germanic-town-hall",
  Action = "build", Value = "unit-town-hall",
  Key = "h", Hint = _("Build Town ~!Hall"), Popup = "popup-building",
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 3, Level = 1, Icon = "icon-germanic-farm",
  Action = "build", Value = "unit-farm",
  Key = "f", Hint = _("Build ~!Farm"), Popup = "popup-building",
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 2, Level = 1, Icon = "icon-germanic-barracks",
  Action = "build", Value = "unit-human-barracks",
  Key = "b", Hint = _("Build ~!Barracks"), Popup = "popup-building",
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 4, Level = 1, Icon = "icon-germanic-carpenters-shop",
  Action = "build", Value = "unit-elven-lumber-mill",
  Key = "l", Hint = _("Build ~!Lumber Mill"), Popup = "popup-building",
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 5, Level = 1, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-blacksmith",
  Key = "s", Hint = _("Build ~!Smithy"), Popup = "popup-building",
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 7, Level = 1, Icon = "icon-teuton-watch-tower",
  Action = "build", Value = "unit-human-watch-tower", Popup = "popup-building",
  Key = "t", Hint = _("BUILD ~!TOWER"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 8, Level = 1, Icon = "icon-cancel",
  Action = "build", Value = "unit-human-wall", Popup = "popup-building",
  Allowed = "check-network",
  Key = "w", Hint = _("BUILD ~!WALL"),
  ForUnit = {"unit-peasant"} } )
  
DefineButton( { Pos = 9, Level = 1, Icon = "icon-cancel",
  Action = "button", Value = 0,
  Key = "escape", Hint = _("~<ESC~> Cancel"), Popup = "popup-commands",
  ForUnit = {"unit-peasant"} } )

-- Advanced Buildings Freeman -----------------------------------------------------
  
DefineButton( { Pos = 9, Level = 2, Icon = "icon-cancel",
  Action = "button", Value = 0,
  Key = "escape", Hint = _("~<ESC~> Cancel"), Popup = "popup-commands",
  ForUnit = {"unit-peasant"} } )
  --[[
DefineButton( { Pos = 1, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-shipyard", Popup = "popup-unit",
  Key = "s", Hint = _("BUILD ~!Shipyard"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 2, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-foundry", Popup = "popup-unit",
  Key = "f", Hint = _("BUILD ~!Foundry"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 3, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-refinery", Popup = "popup-unit",
  Key = "r", Hint = _("BUILD ~!Refinery"),
  ForUnit = {"unit-peasant"} } )
]]
DefineButton( { Pos = 4, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-inventor", Popup = "popup-unit",
  Key = "i", Hint = _("BUILD GNOMISH ~!INVENTOR"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 5, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-stables", Popup = "popup-unit",
  Key = "a", Hint = _("BUILD St~!ables"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 6, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-mage-tower", Popup = "popup-unit",
  Key = "m", Hint = _("BUILD ~!Mage Tower"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 7, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-church", Popup = "popup-unit",
  Key = "c", Hint = _("BUILD ~!Church"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 8, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-gryphon-aviary", Popup = "popup-unit",
  Key = "g", Hint = _("BUILD ~!Gryphon Aviary"),
  ForUnit = {"unit-peasant"} } )
  
-- Town Hall Commands ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-germanic-worker",
  Action = "train-unit", Value = "unit-peasant",
  Key = "b", Hint = _("Train ~!Bura"), Popup = "popup-unit",
  ForUnit = {"unit-town-hall", "unit-keep", "unit-castle"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-town-hall",
  Action = "upgrade-to", Value = "unit-keep", Popup = "popup-unit",
  Allowed = "check-upgrade-to",
  Key = "k", Hint = _("Upgrade to ~!Keep"),
  ForUnit = {"unit-town-hall"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-town-hall",
  Action = "upgrade-to", Value = "unit-castle", Popup = "popup-unit",
  Allowed = "check-upgrade-to",
  Key = "c", Hint = _("Upgrade to ~!Castle"),
  ForUnit = {"unit-keep"} } )
  
-- Barracks Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-germanic-warrior",
  Action = "train-unit", Value = "unit-footman",
  Key = "f", Hint = _("TRAIN ~!Footman"), Popup = "popup-unit",
  ForUnit = {"unit-human-barracks"} } )
  
DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-archer",
  Action = "train-unit", Value = "unit-archer",
  Key = "a", Hint = _("Train ~!Archer"), Popup = "popup-unit",
  ForUnit = {"unit-human-barracks"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-archer",
  Action = "train-unit", Value = "unit-ranger", Popup = "popup-unit",
  Key = "r", Hint = _("TRAIN ~!Ranger"),
  ForUnit = {"unit-human-barracks"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-dwarven-ballista",
  Action = "train-unit", Value = "unit-ballista", Popup = "popup-unit",
  Key = "b", Hint = _("BUILD ~!Ballista"),
  ForUnit = {"unit-human-barracks"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-knight", Popup = "popup-unit",
  Key = "k", Hint = _("TRAIN ~!Knight"),
  ForUnit = {"unit-human-barracks"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-paladin", Popup = "popup-unit",
  Key = "p", Hint = _("TRAIN ~!Paladin"),
  ForUnit = {"unit-human-barracks"} } )
  
-- Inventor Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-dwarven-gryphon-rider",
  Action = "train-unit", Value = "unit-balloon", Popup = "popup-unit",
  Key = "f", Hint = _("Build ~!Flyer"),
  ForUnit = {"unit-inventor"} } )
  
DefineButton( { Pos = 2, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-dwarves", Popup = "popup-unit",
  Key = "d", Hint = _("Train ~!Dwarf"),
  ForUnit = {"unit-inventor"} } )
  
-- Mage Tower Commands ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-gnomish-herbalist",
  Action = "train-unit", Value = "unit-mage", Popup = "popup-unit",
  Key = "t", Hint = _("~!Train Mage"),
  ForUnit = {"unit-mage-tower"} } )
  
-- Gryphon Aviary Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-dwarven-gryphon-rider",
  Action = "train-unit", Value = "unit-gryphon-rider", Popup = "popup-unit",
  Key = "g", Hint = _("TRAIN ~!Gryphon Rider"),
  ForUnit = {"unit-gryphon-aviary"} } )

-- Watch Tower Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-teuton-watch-tower",
  Action = "upgrade-to", Value = "unit-human-guard-tower", Popup = "popup-unit",
  Key = "g", Hint = _("Upgrade to ~!Guard Tower"),
  ForUnit = {"unit-human-watch-tower"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-teuton-watch-tower",
  Action = "upgrade-to", Value = "unit-human-cannon-tower", Popup = "popup-unit",
  Key = "c", Hint = _("Upgrade to ~!Cannon Tower"),
  ForUnit = {"unit-human-watch-tower"} } )
  
-- Wiseman Basic ---------------------------------------------------------

DefineAllow("unit-caanoo-wiseman", "AAAAAAAAAAAAAAAA")

DefineButton( { Pos = 7, Level = 0, Icon = "icon-build-basic-structure",
	Action = "button", Value = 1,
	Key = "b", Hint = "~!Build Basic",
	ForUnit = {"unit-caanoo-wiseman"} } )

DefineButton( { Pos = 8, Level = 0, Icon = "icon-build-basic-structure",
	Action = "button", Value = 2,
	Key = "v", Hint = "Build Ad~!vanced",
	ForUnit = {"unit-caanoo-wiseman"} } )
	
DefineButton( { Pos = 3, Level = 1, Icon = "icon-germanic-warrior",
	Action = "cast-spell", Value = "spell-unit-footman",
	Key = "f", Hint = "~!Footman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )

DefineButton( { Pos = 6, Level = 1, Icon = "icon-germanic-warrior",
	Action = "cast-spell", Value = "spell-unit-arthor-literios",
	Key = "d", Hint = "~!Danath", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )

DefineButton( { Pos = 2, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-archer",
	Key = "a", Hint = "~!Archer", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	

DefineButton( { Pos = 1, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-knight",
	Key = "k", Hint = "~!Knight", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	

DefineButton( { Pos = 4, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-paladin",
	Key = "p", Hint = "~!Paladin", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 5, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-ranger",
	Key = "r", Hint = "~!Ranger", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 7, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-knight-rider",
	Key = "h", Hint = "~!Hero", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 8, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-female-hero",
	Key = "f", Hint = "~!Female", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 9, Level = 1, Icon = "icon-cancel",
	Action = "button", Value = 0,
	Key = "ESC", Hint = "~<ESC~> Cancel",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
-- Wiseman Advanced ---------------------------------------------------------

DefineButton( { Pos = 2, Level = 2, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-dwarves",
	Key = "d", Hint = "~!Dwarf", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	

DefineButton( { Pos = 1, Level = 2, Icon = "icon-gnomish-herbalist",
	Action = "cast-spell", Value = "spell-unit-mage",
	Key = "m", Hint = "~!Mage", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	

DefineButton( { Pos = 3, Level = 2, Icon = "icon-dwarven-ballista",
	Action = "cast-spell", Value = "spell-unit-ballista",
	Key = "b", Hint = "~!Ballista", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	

DefineButton( { Pos = 4, Level = 2, Icon = "icon-germanic-worker",
	Action = "cast-spell", Value = "spell-unit-peasant",
	Key = "p", Hint = "~!Peasant", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 5, Level = 2, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-yeoman",
	Key = "o", Hint = "Ye~!oman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 6, Level = 2, Icon = "icon-germanic-worker",
	Action = "cast-spell", Value = "spell-unit-attack-peasant",
	Key = "u", Hint = "Min~!uteman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 8, Level = 2, Icon = "icon-dwarven-gryphon-rider",
	Action = "cast-spell", Value = "spell-unit-gryphon-rider",
	Key = "g", Hint = "~!Gryphon", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
DefineButton( { Pos = 9, Level = 2, Icon = "icon-cancel",
	Action = "button", Value = 0,
	Key = "ESC", Hint = "~<ESC~> CANCEL",
	ForUnit = {"unit-caanoo-wiseman"} } )	
	
-- Blacksmith Upgrades ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-sword2",
  Action = "research", Value = "upgrade-sword1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "w", Hint = _("UPGRADE S~!WORDS (Damage +2)"), Popup = "popup-research",
  ForUnit = {"unit-human-blacksmith"} } )
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-sword3",
  Action = "research", Value = "upgrade-sword2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "w", Hint = _("UPGRADE S~!WORDS (Damage +2)"),
  ForUnit = {"unit-human-blacksmith"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield2",
  Action = "research", Value = "upgrade-human-shield1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("UPGRADE ~!SHIELDS (Armor +2)"),
  ForUnit = {"unit-human-blacksmith"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield3",
  Action = "research", Value = "upgrade-human-shield2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("UPGRADE ~!SHIELDS (Armor +2)"),
  ForUnit = {"unit-human-blacksmith"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-ballista1",
  Action = "research", Value = "upgrade-ballista1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "b", Hint = _("UPGRADE ~!BALLISTA (Damage +15)"),
  ForUnit = {"unit-human-blacksmith"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-ballista2",
  Action = "research", Value = "upgrade-ballista2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "b", Hint = _("UPGRADE ~!BALLISTA (Damage +15)"),
  ForUnit = {"unit-human-blacksmith"} } )
  
-- Carpenter's Shop Upgrades ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-arrow2",
  Action = "research", Value = "upgrade-arrow1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "u", Hint = _("~!UPGRADE ARROWS (Damage +1)"),
  ForUnit = {"unit-elven-lumber-mill"} } )

DefineButton( { Pos = 1, Level = 0, Icon = "icon-arrow3",
  Action = "research", Value = "upgrade-arrow2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "u", Hint = _("~!UPGRADE ARROWS (Damage +1)"),
  ForUnit = {"unit-elven-lumber-mill"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-germanic-broad-sword",
  Action = "research", Value = "upgrade-ranger", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "r", Hint = _("ELVEN ~!RANGER TRAINING"),
  ForUnit = {"unit-elven-lumber-mill"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-ranger-scouting",
  Action = "research", Value = "upgrade-ranger-scouting", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("RANGER ~!SCOUTING (Sight:9)"),
  ForUnit = {"unit-elven-lumber-mill"} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-longbow",
  Action = "research", Value = "upgrade-longbow", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "l", Hint = _("RESEARCH ~!LONGBOW (Range +1)"),
  ForUnit = {"unit-elven-lumber-mill"} } )

DefineButton( { Pos = 6, Level = 0, Icon = "icon-ranger-marksmanship",
  Action = "research", Value = "upgrade-ranger-marksmanship", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "m", Hint = _("RANGER ~!MARKSMANSHIP (Damage +3)"),
  ForUnit = {"unit-elven-lumber-mill"} } )
  
-- Church Upgrades ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-germanic-broad-sword",
  Action = "research", Value = "upgrade-paladin", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "p", Hint = _("UPGRADES KNIGHTS TO ~!PALADINS"),
  ForUnit = {"unit-church"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-herbal-cure",
  Action = "research", Value = "upgrade-healing", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "h", Hint = _("RESEARCH ~!HEALING"),
  ForUnit = {"unit-church"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-exorcism",
  Action = "research", Value = "upgrade-exorcism", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "e", Hint = _("RESEARCH ~!EXORCISM"),
  ForUnit = {"unit-church"} } )
  
-- Library Upgrades ---------------------------------------------------------

DefineButton( { Pos = 2, Level = 0, Icon = "icon-slow",
  Action = "research", Value = "upgrade-slow", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "o", Hint = _("RESEARCH SL~!OW"), -- injure/goop
  ForUnit = {"unit-mage-tower"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-flame-shield",
  Action = "research", Value = "upgrade-flame-shield", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "l", Hint = _("RESEARCH F~!LAME SHIELD"), --shield
  ForUnit = {"unit-mage-tower"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-invisibility",
  Action = "research", Value = "upgrade-invisibility", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "i", Hint = _("RESEARCH ~!INVISIBILITY"),  --cloak
  ForUnit = {"unit-mage-tower"} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-polymorph",
  Action = "research", Value = "upgrade-polymorph", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "p", Hint = _("RESEARCH ~!POLYMORPH"), -- curse
  ForUnit = {"unit-mage-tower"} } )

DefineButton( { Pos = 6, Level = 0, Icon = "icon-blizzard",
  Action = "research", Value = "upgrade-blizzard", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "b", Hint = _("RESEARCH ~!BLIZZARD"), -- poison
  ForUnit = {"unit-mage-tower"} } )
  
-- Paladin Upgrades ---------------------------------------------------------

DefineAllow("unit-paladin", "AAAAAAAAAAAAAAAA")

DefineButton( { Pos = 7, Level = 0, Icon = "icon-portent",
	Action = "cast-spell", Value = "spell-holy-vision", Popup = "popup-commands",
	Allowed = "check-upgrade", AllowArg = {"upgrade-holy-vision"},
	Key = "v", Hint = _("HOLY ~!VISION"),
	ForUnit = {"unit-paladin", "unit-knight-rider",
		"unit-man-of-light"} } )
	
DefineButton( { Pos = 8, Level = 0, Icon = "icon-herbal-cure",
  Action = "cast-spell", Value = "spell-healing", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-healing"},
  Key = "h", Hint = _("~!HEALING (per 1 HP)"),
  ForUnit = {"unit-paladin", "unit-knight-rider",
    "unit-man-of-light"} } )

DefineButton( { Pos = 9, Level = 0, Icon = "icon-exorcism",
  Action = "cast-spell", Value = "spell-exorcism", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-exorcism"},
  Key = "e", Hint = _("~!EXORCISM"),
  ForUnit = {"unit-paladin", "unit-knight-rider",
    "unit-man-of-light"} } )
	
-- Bomber Upgrades ---------------------------------------------------------
	
DefineButton( { Pos = 9, Level = 0, Icon = "icon-human-demolish",
  Action = "cast-spell", Value = "spell-suicide-bomber",
  Allowed = "check-true", Popup = "popup-commands",
  Key = "d", Hint = _("~!DEMOLISH"),
  ForUnit = {"unit-dwarves"} } )
	
-- Alchemist Upgrades ---------------------------------------------------------
	
DefineButton( { Pos = 3, Level = 0, Icon = "icon-lightning",
  Action = "attack", Popup = "popup-commands",
  Key = "a", Hint = _("LIGHTNING ~!ATTACK"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 4, Level = 0, Icon = "icon-fireball",
  Action = "cast-spell", Value = "spell-fireball", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-fireball"},
  Key = "f", Hint = _("~!FIREBALL"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 5, Level = 0, Icon = "icon-slow",
  Action = "cast-spell", Value = "spell-slow", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-slow"},
  Key = "o", Hint = _("SL~!OW"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 6, Level = 0, Icon = "icon-flame-shield",
  Action = "cast-spell", Value = "spell-flame-shield", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-flame-shield"},
  Key = "l", Hint = _("F~!LAME SHIELD"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 7, Level = 0, Icon = "icon-invisibility",
  Action = "cast-spell", Value = "spell-invisibility", Popup = "popup-human-upgrade",
  Allowed = "check-upgrade", AllowArg = {"upgrade-invisibility"},
  Key = "i", Hint = _("~!INVISIBILITY"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 8, Level = 0, Icon = "icon-polymorph",
  Action = "cast-spell", Value = "spell-polymorph", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-polymorph"},
  Key = "p", Hint = _("~!POLYMORPH"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )
	
DefineButton( { Pos = 9, Level = 0, Icon = "icon-blizzard",
  Action = "cast-spell", Value = "spell-blizzard", Popup = "popup-commands",
  Allowed = "check-upgrade", AllowArg = {"upgrade-blizzard"},
  Key = "p", Hint = _("~!Poison"),
  ForUnit = {"unit-mage", "unit-white-mage"} } )