--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--	(c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--

-- Ground Units

DefineUnitType("unit-footman", { Name = _("Footman"),
	Parent = "unit-germanic-warrior",
	Civilization = "freeman",
	Image = {"file", "germanic/units/warrior.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-germanic-warrior",
	Costs = {"time", 60, "gold", 600},
	Speed = 10,
	HitPoints = 60,
	DrawLevel = 40,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 2, BasicDamage = 6, PiercingDamage = 3, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 60,
	Points = 50,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
} )

DefineUnitType("unit-peasant", { Name = _("Peasant"),
	Parent = "unit-germanic-worker",
	Civilization = "freeman",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Costs = {"time", 45, "gold", 400},
	Speed = 10,
	HitPoints = 30,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {31, 31},
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	AutoRepairRange = 4,
	BasicDamage = 3, PiercingDamage = 2, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 50,
	Points = 30,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "harvest",
	CanAttack = true, RepairRange = 1,
	CanTargetLand = true,
	LandUnit = true,
	Coward = true,
	CanGatherResources = {
		{
			"file-when-loaded", "germanic/units/worker_with_gold.png",
			"resource-id", "gold",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 3,
			"wait-at-depot", 150
		},
		{
			"file-when-loaded", "germanic/units/worker_with_lumber.png",
			"resource-id", "lumber",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 24,
			"wait-at-depot", 150,
		}
	},
	Sounds = {
		"selected", "click",
		"dead", "basic-human-voices-dead",
		"hit", "mace-attack",
		"miss", "attack-miss"
	}
})

DefineUnitType("unit-attack-peasant", { Name = _("Minuteman"),
	Parent = "unit-peasant",
	Civilization = "freeman",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Corpse = "unit-human-dead-body",
	CanGatherResources = {
		{
			"file-when-loaded", "germanic/units/worker_with_lumber.png",
			"resource-id", "lumber",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 24,
			"wait-at-depot", 150,
		}
	},
	Sounds = {
		"selected", "click",
		"dead", "basic-human-voices-dead",
		"hit", "mace-attack",
		"miss", "attack-miss"
	}
})

DefineUnitType("unit-ballista", { Name = _("Ballista"),
	Parent = "unit-dwarven-ballista",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_ballista.png", "size", {64, 64}},
	Animations = "animations-dwarven-ballista", Icon = "icon-dwarven-ballista",
	Missile = "missile-dwarven-ballista-bolt",
	Costs = {"time", 250, "gold", 900, "lumber", 300},
	Speed = 5,
	HitPoints = 110,
	Priority = 70,
	Points = 100,
	Demand = 1,
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	Armor = 0, BasicDamage = 80, PiercingDamage = 0,
	MinAttackRange = 2, MaxAttackRange = 8,
	Type = "land",
	LandUnit = true,
	RightMouseAction = "attack",
	CanGroundAttack = true,
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-knight", { Name = _("Knight"),
	Parent = "unit-dwarven-yale-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
	Costs = {"time", 90, "gold", 800, "lumber", 100},
	Speed = 13,
	HitPoints = 90,
	MaxAttackRange = 1,
	Priority = 63,
	Points = 100,
	Demand = 1,
    Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 4, BasicDamage = 8, PiercingDamage = 4,
})

DefineUnitType("unit-paladin", { Name = _("Paladin"),
	Parent = "unit-gnomish-herbalist",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Corpse = "unit-gnomish-dead-body",
	Costs = {"time", 90, "gold", 800, "lumber", 100},
	Level = 2,
	Speed = 13,
	HitPoints = 90,
	DrawLevel = 40,
	Mana = {Enable = true},
	TileSize = {1, 1}, BoxSize = {42, 42},
	SightRange = 5, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 4, BasicDamage = 8, PiercingDamage = 4, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 65,
	Points = 110,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	CanCastSpell = {"spell-holy-vision", "spell-healing", "spell-exorcism"},
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-archer", { Name = _("Archer"),
	Parent = "unit-germanic-archer",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Costs = {"time", 70, "gold", 500, "lumber", 50},
	Speed = 10,
	HitPoints = 40,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 5, ComputerReactionRange = 7, PersonReactionRange = 5,
	BasicDamage = 3, PiercingDamage = 6, Missile = "missile-arrow",
	MaxAttackRange = 4,
	Priority = 55,
	Points = 60,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-ranger", { Name = _("Ranger"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Costs = {"time", 70, "gold", 500, "lumber", 50},
	Level = 2,
	Speed = 10,
	HitPoints = 50,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 6, ComputerReactionRange = 9, PersonReactionRange = 6,
	BasicDamage = 3, PiercingDamage = 6, Missile = "missile-arrow",
	MaxAttackRange = 4,
	Priority = 57,
	Points = 70,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-yeoman", { Name = _("Yeoman"),
	Parent = "unit-ranger",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Costs = {"time", 70, "gold", 500, "lumber", 50},
	Level = 1,
	Speed = 10,
	HitPoints = 50,
	RandomMovementProbability = 1,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 6, ComputerReactionRange = 9, PersonReactionRange = 6,
	BasicDamage = 3, PiercingDamage = 6, Missile = "missile-arrow",
	MaxAttackRange = 6,
	Priority = 57,
	Points = 100,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-mage", { Name = _("Mage"),
--[[Hello.
Hello up there!
I'm down here.
Whats the weather like up there?
Death from below.
Yes?
OK?
Thats a long way.
Come down here and say that?
I'll stab you in your kneecap.
I did not have sex with that gnome.]]
	Parent = "unit-gnomish-herbalist",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 120, "gold", 1200},
	Speed = 8,
	HitPoints = 60,
	DrawLevel = 40,
	Mana = {Enable = true},
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	BasicDamage = 0, PiercingDamage = 9, Missile = "missile-lightning",
	MaxAttackRange = 2,
	Priority = 70,
	Points = 100,
	Demand = 1,
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	CanCastSpell = {
		"spell-fireball",
		"spell-slow",
		"spell-flame-shield",
		"spell-invisibility",
		"spell-polymorph",
		"spell-blizzard"},
	LandUnit = true,
	Coward = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-dwarves", { Name = _("Dwarf"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
  Costs = {"time", 200, "gold", 700, "lumber", 250},
  Speed = 11,
  HitPoints = 40,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {32, 32},
  SightRange = 4, ComputerReactionRange = 4, PersonReactionRange = 2,
  BasicDamage = 4, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 55,
  Points = 100,
  Demand = 1,
  Type = "land",
  RightMouseAction = "spell-cast",
  CanCastSpell = {"spell-suicide-bomber"},
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  volatile = true,
  organic = true,
  SelectableByRectangle = true,
})

-- Ground Heroes

DefineUnitType("unit-caanoo-wiseman", { Name = _("Wise Man"),
	Parent = "unit-gnomish-herbalist",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 120, "gold", 1200},
	Speed = 8,
	HitPoints = 60,
	DrawLevel = 40,
	Mana = {Enable = false},
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	BasicDamage = 0, PiercingDamage = 9, Missile = "missile-lightning",
	MaxAttackRange = 2,
	Priority = 70,
	Points = 100,
	Demand = 1,
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	CanCastSpell = {
		"spell-unit-footman",
		"spell-unit-archer",
		"spell-unit-ballista",
		"spell-unit-knight",
		"spell-unit-female-hero",
		"spell-unit-knight-rider",
		"spell-unit-peasant",
		"spell-unit-ranger",
		"spell-unit-yeoman",
		"spell-unit-gryphon-rider",
		"spell-unit-fad-man",
		"spell-unit-arthor-literios",
		"spell-unit-sharp-axe",
		"spell-unit-mage",
		"spell-unit-paladin",
		"spell-unit-attack-peasant",
		"spell-unit-dwarves"},
	LandUnit = true,
	Coward = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-female-hero", { Name = _("Champion"),
	Parent = "unit-ranger",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 70, "gold", 500, "lumber", 50},
	Speed = 10,
	HitPoints = 120,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 9, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 5, BasicDamage = 10, PiercingDamage = 18, Missile = "missile-arrow",
	MaxAttackRange = 7,
	Priority = 55,
	Points = 60,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-white-mage", { Name = _("White Mage"),
	Parent = "unit-mage",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 120, "gold", 1200},
	Speed = 8,
	HitPoints = 120,
	DrawLevel = 40,
	Mana = {Enable = true},
	TileSize = {1, 1}, BoxSize = {33, 33},
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	Armor = 3, BasicDamage = 0, PiercingDamage = 16, Missile = "missile-lightning",
	MaxAttackRange = 6,
	Priority = 70,
	Points = 100,
	Demand = 1,
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	CanCastSpell = {
		"spell-fireball",
		"spell-slow",
		"spell-flame-shield",
		"spell-invisibility",
		"spell-polymorph",
		"spell-blizzard"},
	LandUnit = true,
	Coward = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-knight-rider", { Name = _("Turalyon"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
	Costs = {"time", 90, "gold", 800, "lumber", 100},
	Speed = 13,
	HitPoints = 180,
	DrawLevel = 40,
	Mana = {Enable = true},
	TileSize = {1, 1}, BoxSize = {42, 42},
	SightRange = 6, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 10, BasicDamage = 14, PiercingDamage = 5, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 65,
	Points = 110,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	CanCastSpell = {"spell-holy-vision", "spell-healing", "spell-exorcism"},
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-arthor-literios", { Name = _("Arthur"),
	Parent = "unit-germanic-warrior",
	Civilization = "freeman",
	Image = {"file", "germanic/units/warrior.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-germanic-warrior",
	Corpse = "unit-human-dead-body",
	Costs = {"time", 60, "gold", 600},
	Speed = 10,
	HitPoints = 220,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {31, 31},
	SightRange = 6, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 8, BasicDamage = 15, PiercingDamage = 8, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 60,
	Points = 50,
	Demand = 1,
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
} )

DefineUnitType("unit-wise-man", { Name = _("Lothar"),
	Parent = "unit-paladin",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 100, "gold", 900, "lumber", 100},
	Speed = 13,
	HitPoints = 90,
	DrawLevel = 40,
	TileSize = {1, 1}, BoxSize = {42, 42},
	SightRange = 5, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 4, BasicDamage = 8, PiercingDamage = 4, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 65,
	Points = 120,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-man-of-light", { Name = _("Uther Lightbringer"),
	Parent = "unit-knight",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Costs = {"time", 100, "gold", 900, "lumber", 100},
	Speed = 13,
	HitPoints = 90,
	DrawLevel = 40,
	Mana = {Enable = true},
	TileSize = {1, 1}, BoxSize = {42, 42},
	SightRange = 5, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 4, BasicDamage = 8, PiercingDamage = 4, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 65,
	Points = 120,
	Demand = 1,
	Corpse = "unit-human-dead-body",
	Type = "land",
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true,
	CanCastSpell = {"spell-holy-vision", "spell-healing", "spell-exorcism"},
	LandUnit = true,
	organic = true,
	SelectableByRectangle = true,
})

-- Air Units

DefineUnitType("unit-gryphon-rider", { Name = _("Gryphon"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 250, "gold", 2500},
	Speed = 14,
	HitPoints = 100,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 6, ComputerReactionRange = 8, PersonReactionRange = 6,
	Armor = 5, BasicDamage = 0, PiercingDamage = 16, Missile = "missile-griffon-hammer",
	MaxAttackRange = 4,
	Priority = 65,
	Points = 150,
	Demand = 1,
	Type = "fly", ShadowFly = {Value = 1, Enable = true},
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	AirUnit = true,
	DetectCloak = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-balloon", { Name = _("Spy Bird"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 65, "gold", 500, "lumber", 100},
	Speed = 17,
	HitPoints = 150,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 19, PersonReactionRange = 15,
	Armor = 2, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 40,
	Points = 40,
	Demand = 1,
	Type = "fly", ShadowFly = {Value = 1, Enable = true},
	RightMouseAction = "move",
	AirUnit = true, Coward = true,
	DetectCloak = true,
	SelectableByRectangle = true,
})

-- Air Heroes

DefineUnitType("unit-flying-angel", { Name = _("Kurdan and Sky'ree"),
	Parent = "unit-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 250, "gold", 2500},
	Speed = 14,
	HitPoints = 250,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 8, PersonReactionRange = 6,
	Armor = 6, BasicDamage = 0, PiercingDamage = 25, Missile = "missile-griffon-hammer",
	MaxAttackRange = 5,
	Priority = 65,
	Points = 150,
	Demand = 1,
	Type = "fly", ShadowFly = {Value = 1, Enable = true},
	RightMouseAction = "attack",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	AirUnit = true,
	DetectCloak = true,
	organic = true,
	SelectableByRectangle = true,
})

-- Sea Units

DefineUnitType("unit-human-oil-tanker", { Name = _("Oil tanker"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-transport", { Name = _("Transport"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-destroyer", { Name = _("Destroyer"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-battleship", { Name = _("Battleship"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-submarine", { Name = _("Submarine"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

-- Buildings Land

DefineUnitType("unit-farm", { Name = _("Farm"),
	Parent = "unit-germanic-farm",
	Civilization = "freeman",
	Description = _("Farms are essential for supporting a settlement's population."),
	Background = _("The bronze age predecessors of the germanic peoples had a variety of plants and animals in their farms. Wheat, millet and peas figured among the crops planted, while the most common animals were sheep and pigs. The animals bred by them were generally smaller than their modern counterparts, but they were sturdier."),
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm",
	Costs = {"time", 100, "gold", 500, "lumber", 250},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 400,
	DrawLevel = 20,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 20, AnnoyComputerFactor = 45,
	Points = 100,
	Supply = 4,
	Type = "land",
	Building = true, VisibleUnderFog = true,
} )

DefineUnitType("unit-human-barracks", { Name = _("Barracks"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks",
	Costs = {"time", 200, "gold", 700, "lumber", 450},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 800,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 30, AnnoyComputerFactor = 35,
	Points = 160,
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-church", { Name = _("Church"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks",
	Costs = {"time", 175, "gold", 900, "lumber", 500},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 700,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 15, AnnoyComputerFactor = 35,
	Points = 240,
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-human-watch-tower", { Name = _("Scout Tower"),
	Parent = "unit-teuton-watch-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
	Costs = {"time", 60, "gold", 550, "lumber", 200},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 100,
	DrawLevel = 20,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 55, AnnoyComputerFactor = 50,
	Points = 95,
	Type = "land",
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	Building = true, VisibleUnderFog = true,
	DetectCloak = true,
} )

DefineUnitType("unit-human-guard-tower", { Name = _("Guard Tower"),
	Parent = "unit-teuton-guard-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
	Costs = {"time", 140, "gold", 500, "lumber", 150},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 130,
	DrawLevel = 40,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 6, PersonReactionRange = 6,
	Armor = 20, BasicDamage = 4, PiercingDamage = 12, Missile = "missile-arrow",
	MaxAttackRange = 6,
	Priority = 50, AnnoyComputerFactor = 60,
	Points = 200,
	Corpse = "unit-destroyed-2x2-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	Building = true, VisibleUnderFog = true,
	DetectCloak = true,
})

DefineUnitType("unit-human-cannon-tower", { Name = _("Cannon Tower"),
	Parent = "unit-human-guard-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
	Costs = {"time", 190, "gold", 1000, "lumber", 300},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 160,
	DrawLevel = 40,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 7, PersonReactionRange = 7,
	Armor = 20, BasicDamage = 50, PiercingDamage = 0, Missile = "missile-small-cannon",
	MinAttackRange = 2, MaxAttackRange = 7,
	Priority = 60, AnnoyComputerFactor = 70,
	Points = 250,
	Corpse = "unit-destroyed-2x2-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true,
	Building = true, VisibleUnderFog = true,
	DetectCloak = true,
})

DefineUnitType("unit-stables", { Name = _("Stables"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks",
	Costs = {"time", 150, "gold", 1000, "lumber", 300},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 500,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 15, AnnoyComputerFactor = 15,
	Points = 210,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-inventor", { Name = _("Gnomish Inventor"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks",
	Costs = {"time", 150, "gold", 1000, "lumber", 400},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 500,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 15, AnnoyComputerFactor = 20,
	Points = 230,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-gryphon-aviary", { Name = _("Gryphon Aviary"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks",
	Costs = {"time", 150, "gold", 1000, "lumber", 400},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 500,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 15, AnnoyComputerFactor = 20,
	Points = 280,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-elven-lumber-mill", { Name = _("Carpenter's Shop"),
	Parent = "unit-germanic-carpenters-shop",
	Costs = {"time", 150, "gold", 600, "lumber", 450},
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/carpenters_shop.png", "size", {96, 96}},
	Icon = "icon-germanic-carpenters-shop",
})

DefineUnitType("unit-town-hall", { Name = _("Town Hall"),
	Parent = "unit-germanic-town-hall",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall",
	Costs = {"time", 255, "gold", 1200, "lumber", 800},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 1200,
	DrawLevel = 20,
	TileSize = {4, 4}, BoxSize = {126, 126},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 35, AnnoyComputerFactor = 45,
	Points = 200,
	Supply = 1,
	Corpse = "unit-destroyed-4x4-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true, Center = true,
	BuildingRules = { { "distance", { Distance = 3, DistanceType = ">", Type = "unit-gold-mine"}
						}
					},
})

DefineUnitType("unit-keep", { Name = _("Keep"),
	Parent = "unit-town-hall",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall",
	Costs = {"time", 150, "gold", 600, "lumber", 450},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	ImproveProduction = {"lumber", 25},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 600,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 25, AnnoyComputerFactor = 15,
	Points = 150,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
	CanStore = {"lumber"},
})

DefineUnitType("unit-castle", { Name = _("Castle"),
	Parent = "unit-keep",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall",
	Costs = {"time", 200, "gold", 2500, "lumber", 1200, "oil", 500},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1, "oil", 1},
	ImproveProduction = {"gold", 20},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 1600,
	DrawLevel = 20,
	TileSize = {4, 4}, BoxSize = {127, 127},
	SightRange = 6,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 40, AnnoyComputerFactor = 50,
	Points = 1500,
	Supply = 1,
	Corpse = "unit-destroyed-4x4-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true, Center = true,
	CanStore = {"gold", "lumber"},
})

DefineUnitType("unit-mage-tower", { Name = _("Library"),
	Parent = "unit-germanic-carpenters-shop",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/carpenters_shop.png", "size", {96, 96}},
	Icon = "icon-germanic-carpenters-shop",
	Costs = {"time", 125, "gold", 1000, "lumber", 200},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 500,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 35, AnnoyComputerFactor = 20,
	Points = 240,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-human-blacksmith", { Name = _("Blacksmith"),
	Parent = "unit-germanic-smithy",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/smithy.png", "size", {96, 96}},
	Icon = "icon-germanic-smithy",
	Costs = {"time", 200, "gold", 800, "lumber", 450, "oil", 100},
	RepairHp = 4,
	RepairCosts = {"gold", 1, "lumber", 1, "oil", 1},
	Construction = "construction-land",
	Speed = 0,
	HitPoints = 775,
	DrawLevel = 20,
	TileSize = {3, 3}, BoxSize = {95, 95},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 15, AnnoyComputerFactor = 20,
	Points = 170,
	Corpse = "unit-destroyed-3x3-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

DefineUnitType("unit-human-wall", { Name = _("Wall"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
	Armor = 4,
	Costs = {"time", 30, "gold", 20, "lumber", 10},
	Construction = "construction-wall",
	Speed = 0,
	HitPoints = 40,
	DrawLevel = 39,
	TileSize = {1, 1}, BoxSize = {31, 31},
	SightRange = 1,
	Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	Priority = 0, AnnoyComputerFactor = 45,
	Points = 1,
	Corpse = "unit-destroyed-1x1-place",
	ExplodeWhenKilled = "missile-explosion",
	Type = "land",
	Building = true, VisibleUnderFog = true,
})

-- Buildings Sea

DefineUnitType("unit-human-shipyard", { Name = _("Shipyard"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-foundry", { Name = _("Foundry"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-refinery", { Name = _("Refinery"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-oil-platform", { Name = _("Oil Platform"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

-- Other

DefineUnitType("unit-human-start-location", { Name = _("Start Location"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-revealer", { Name = _("Dummy unit"),
  Animations = "animations-building", Icon = "icon-dwarven-steelclad",
  Speed = 0,
  HitPoints = 1,
  TileSize = {1, 1}, BoxSize = {1, 1},
  SightRange = 12,
  BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 0,
  DecayRate = 1,
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Revealer = true,
  DetectCloak = true,
  Sounds = {} } )

DefineAllow("unit-footman", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-peasant", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-attack-peasant", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ballista", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-knight", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-paladin", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-archer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ranger", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-yeoman", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-mage", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-dwarves", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-caanoo-wiseman", "AAAAAAAAAAAAAAAA")
--DefineAllow("unit-female-hero", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-white-mage", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-knight-rider", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-arthor-literios", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-wise-man", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-man-of-light", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-gryphon-rider", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-balloon", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-flying-angel", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-tanker", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-transport", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-destroyer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-battleship", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-submarine", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-farm", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-barracks", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-church", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-watch-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-guard-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-cannon-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-stables", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-inventor", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-gryphon-aviary", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-elven-lumber-mill", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-town-hall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-keep", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-castle", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-mage-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-blacksmith", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-wall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-shipyard", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-foundry", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-refinery", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-platform", "AAAAAAAAAAAAAAAA")