--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--	(c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--

bckground = CGraphic:New("dlc/thunder/graphics/ui/Menu_background_with_title.png")
bckground:Load()
bckground:Resize(Video.Width, Video.Height)
backgroundWidget = ImageWidget(bckground)

--Define Player Data.
function SetupPlayer(player, race, ai, gold, lumber, oil, x, y)
	if ((race == "man") or (race == "human")) then 
		if (wyrmsun.Thunder == true) then
			race = "freeman" 
		else
			race = "germanic" 
		end
	elseif (race == "orc") then
		if (wyrmsun.Thunder == true) then
			race = "wild" 
		else
			race = "goblin" 
		end
	end
	SetStartView(player, x, y)
	SetPlayerData(player, "Resources", "lumber", lumber)
	SetPlayerData(player, "Resources", "gold", gold)
	SetPlayerData(player, "Resources", "oil", oil)
	SetPlayerData(player, "Resources", "stone", oil)
	SetPlayerData(player, "RaceName", race)
	SetAiType(player, ai)
end

--wyrmsun_logo:Resize(1,1)

info_panel_x = 0
info_panel_y = Video.Height - 136 - 24 - 16

Load("dlc/thunder/scripts/sound.lua")
Load("dlc/thunder/scripts/missiles.lua")
Load("dlc/thunder/scripts/factions.lua")
Load("dlc/thunder/scripts/icons.lua")
Load("dlc/thunder/scripts/freeman/spells.lua")
Load("dlc/thunder/scripts/wild/spells.lua")
Load("dlc/thunder/scripts/units.lua")
Load("dlc/thunder/scripts/freeman/units.lua")
Load("dlc/thunder/scripts/freeman/upgrade.lua")
Load("dlc/thunder/scripts/wild/units.lua")
Load("dlc/thunder/scripts/wild/upgrade.lua")
Load("dlc/thunder/scripts/buttons.lua")
Load("dlc/thunder/scripts/menus/editor.lua")
Load("dlc/thunder/scripts/freeman/ui.lua")
Load("dlc/thunder/scripts/wild/ui.lua")
--Load("scripts/ui.lua")
Load("dlc/thunder/scripts/guichan.lua")
Load("dlc/thunder/scripts/ai.lua")
Load("dlc/thunder/scripts/ai/ai_jadeite_2010.lua")
Load("dlc/thunder/scripts/ai/ai_redribbon_2012.lua")
Load("dlc/thunder/scripts/ai/ai_nephrite_2013.lua")
Load("dlc/thunder/scripts/ai/ai_redribbon_2014.lua")
Load("dlc/thunder/scripts/menus/campaign.lua")