--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--      (c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--

DefineButton( { Pos = 1, Level = 0, Icon = "icon-sword3",
  Action = "move",
  Key = "m", Hint = _("~!Move"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-peon",
    "unit-fad-man", "unit-double-head",
    "unit-sharp-axe", "unit-beast-cry", "unit-quick-blade", "unit-ice-bringer",
    "unit-evil-knight", "unit-skeleton", "unit-dragon", "unit-fire-breeze",
    "orc-group", "unit-daemon"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword1",
  Action = "attack",
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-peon",
    "unit-fad-man", "unit-double-head",
    "unit-sharp-axe", "unit-beast-cry", "unit-quick-blade", "unit-ice-bringer",
    "unit-evil-knight", "unit-skeleton", "unit-dragon", "unit-fire-breeze",
    "orc-group", "unit-daemon"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword2",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-sword1"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-quick-blade",
    "unit-beast-cry", "unit-fad-man", "unit-double-head"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-sword3",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-sword2"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {
	"unit-attack-peasant",
	"unit-footman", "unit-arthor-literios", 
	"unit-knight",  "unit-paladin", "unit-knight-rider", "unit-wise-man", "unit-man-of-light",
	"unit-archer", "unit-ranger",
    "unit-dwarves", 
} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield1",
  Action = "stop",
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-peon",
    "unit-fad-man", "unit-double-head",
    "unit-sharp-axe", "unit-beast-cry", "unit-quick-blade", "unit-ice-bringer",
    "unit-evil-knight", "unit-skeleton", "unit-eye-of-vision", "unit-dragon",
    "unit-zeppelin", "unit-death-knight", "unit-fire-breeze",
    "orc-group", "unit-daemon"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield2",
  Action = "stop",
  Allowed = "check-upgrade", AllowArg = {"upgrade-human-shield1"},
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-quick-blade",
    "unit-beast-cry", "unit-fad-man", "unit-double-head"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-human-shield3",
  Action = "stop",
  Allowed = "check-upgrade", AllowArg = {"upgrade-human-shield2"},
  Key = "s", Hint = _("~!Stop"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-quick-blade",
    "unit-beast-cry", "unit-fad-man", "unit-double-head"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-germanic-arrow",
  Action = "attack",
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-axethrower", "unit-berserker", "unit-sharp-axe"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-germanic-barbed-arrow",
  Action = "attack",
  Allowed = "check-upgrade", AllowArg = {"upgrade-germanic-barbed-arrow"},
  Key = "a", Hint = _("~!Attack"), Popup = "popup-commands",
  ForUnit = {"unit-axethrower", "unit-berserker", "unit-sharp-axe"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-germanic-patrol-land",
  Action = "patrol",
  Key = "p", Hint = _("~!Patrol"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-fad-man",
    "unit-double-head", "unit-sharp-axe", "unit-beast-cry", "unit-quick-blade",
    "unit-skeleton", "unit-dragon", "unit-fire-breeze", "orc-group", "unit-daemon",
    "unit-zeppelin", "unit-eye-of-vision"} } )
  
DefineButton( { Pos = 5, Level = 0, Icon = "icon-germanic-stand-ground",
  Action = "stand-ground",
  Key = "t", Hint = _("S~!tand Ground"), Popup = "popup-commands",
  ForUnit = {"unit-grunt", "unit-ogre", "unit-axethrower", "unit-ogre-mage",
    "unit-goblin-sappers", "unit-berserker", "unit-catapult", "unit-fad-man",
    "unit-double-head", "unit-sharp-axe", "unit-beast-cry", "unit-quick-blade",
    "unit-skeleton", "unit-dragon", "unit-fire-breeze", "unit-orc-submarine",
    "unit-ogre-juggernaught", "unit-orc-destroyer", "orc-group", "unit-daemon"} } )

-- worker specific actions ---------------------------------------------------

DefineButton( { Pos = 4, Level = 0, Icon = "icon-repair",
  Action = "repair",
  Key = "r", Hint = _("~!Repair"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )
  
DefineButton( { Pos = 5, Level = 0, Icon = "icon-harvest",
  Action = "harvest",
  Key = "h", Hint = _("~!Harvest Lumber/Mine Gold"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-germanic-return-goods",
  Action = "return-goods",
  Key = "g", Hint = _("Return with ~!Goods"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )

-- build basic/advanced structs -----------------------------------------------

DefineButton( { Pos = 7, Level = 0, Icon = "icon-build-basic-structure",
  Action = "button", Value = 1,
  Key = "b", Hint = _("~!Build Basic Structure"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )
  
DefineButton( { Pos = 8, Level = 0, Icon = "icon-build-basic-structure",
  Action = "button", Value = 2,
  Key = "v", Hint = _("Build Ad~!vanced Structure"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )

-- Simple Buildings Freeman -----------------------------------------------------

DefineButton( { Pos = 1, Level = 1, Icon = "icon-goblin-town-hall",
  Action = "build", Value = "unit-great-hall",
  Key = "h", Hint = _("Build Town ~!Hall"), Popup = "popup-building",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 3, Level = 1, Icon = "icon-goblin-farm",
  Action = "build", Value = "unit-pig-farm",
  Key = "f", Hint = _("Build ~!Farm"), Popup = "popup-building",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 2, Level = 1, Icon = "icon-goblin-mess-hall",
  Action = "build", Value = "unit-orc-barracks",
  Key = "b", Hint = _("Build ~!Barracks"), Popup = "popup-building",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 4, Level = 1, Icon = "icon-goblin-lumber-mill",
  Action = "build", Value = "unit-troll-lumber-mill",
  Key = "l", Hint = _("Build ~!Lumber Mill"), Popup = "popup-building",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 5, Level = 1, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-orc-blacksmith",
  Key = "s", Hint = _("Build ~!Smithy"), Popup = "popup-building",
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 9, Level = 1, Icon = "icon-cancel",
  Action = "button", Value = 0,
  Key = "escape", Hint = _("~<ESC~> Cancel"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )

-- Advanced Buildings Freeman -----------------------------------------------------
  
DefineButton( { Pos = 9, Level = 2, Icon = "icon-cancel",
  Action = "button", Value = 0,
  Key = "escape", Hint = _("~<ESC~> Cancel"), Popup = "popup-commands",
  ForUnit = {"unit-peon"} } )
  --[[
DefineButton( { Pos = 1, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-shipyard", Popup = "popup-unit",
  Key = "s", Hint = _("BUILD ~!Shipyard"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 2, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-foundry", Popup = "popup-unit",
  Key = "f", Hint = _("BUILD ~!Foundry"),
  ForUnit = {"unit-peasant"} } )

DefineButton( { Pos = 3, Level = 2, Icon = "icon-germanic-smithy",
  Action = "build", Value = "unit-human-refinery", Popup = "popup-unit",
  Key = "r", Hint = _("BUILD ~!Refinery"),
  ForUnit = {"unit-peasant"} } )
]]
DefineButton( { Pos = 4, Level = 2, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-alchemist", Popup = "popup-unit",
  Key = "a", Hint = _("Build ~!Alchemist"),
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 5, Level = 2, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-ogre-mound", Popup = "popup-unit",
  Key = "a", Hint = _("Build M~!ound"),
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 6, Level = 2, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-temple-of-the-damned", Popup = "popup-unit",
  Key = "t", Hint = _("Build ~!Temple of the Damned"),
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 7, Level = 2, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-altar-of-storms", Popup = "popup-unit",
  Key = "l", Hint = _("BUILD A~!ltar"),
  ForUnit = {"unit-peon"} } )

DefineButton( { Pos = 8, Level = 2, Icon = "icon-goblin-smithy",
  Action = "build", Value = "unit-dragon-roost", Popup = "popup-unit",
  Key = "d", Hint = _("Build ~!Dragon Roost"),
  ForUnit = {"unit-peon"} } )
  
-- Town Hall Commands ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-goblin-worker",
  Action = "train-unit", Value = "unit-peon",
  Key = "f", Hint = _("Train ~!Fawn"), Popup = "popup-unit",
  ForUnit = {"unit-great-hall", "unit-stronghold", "unit-fortress"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-town-hall",
  Action = "upgrade-to", Value = "unit-stronghold", Popup = "popup-unit",
  Allowed = "check-upgrade-to",
  Key = "s", Hint = _("Upgrade to ~!Stronghold"),
  ForUnit = {"unit-great-hall"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-germanic-town-hall",
  Action = "upgrade-to", Value = "unit-fortress", Popup = "popup-unit",
  Allowed = "check-upgrade-to",
  Key = "f", Hint = _("Upgrade to ~!Fortress"),
  ForUnit = {"unit-stronghold"} } )
  
-- Barracks Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-goblin-spearman",
  Action = "train-unit", Value = "unit-grunt",
  Key = "g", Hint = _("Train ~!Grunt"), Popup = "popup-unit",
  ForUnit = {"unit-orc-barracks"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-goblin-archer",
  Action = "train-unit", Value = "unit-axethrower",
  Key = "a", Hint = _("Train ~!Archer"), Popup = "popup-unit",
  ForUnit = {"unit-orc-barracks"} } )
--[[
DefineButton( { Pos = 2, Level = 0, Icon = "icon-goblin-archer",
  Action = "train-unit", Value = "unit-berserker",
  Key = "a", Hint = _("Train ~!Archer"), Popup = "popup-unit",
  ForUnit = {"unit-orc-barracks"} } )]]

DefineButton( { Pos = 3, Level = 0, Icon = "icon-teuton-catapult",
  Action = "train-unit", Value = "unit-catapult", Popup = "popup-unit",
  Key = "c", Hint = _("Construct ~!Catapult"),
  ForUnit = {"unit-orc-barracks"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-ogre", Popup = "popup-unit",
  Key = "o", Hint = _("Train ~!Ogre"),
  ForUnit = {"unit-orc-barracks"} } )
--[[
DefineButton( { Pos = 4, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-ogre-mage", Popup = "popup-unit",
  Key = "o", Hint = _("Train ~!Ogre Mage"),
  ForUnit = {"unit-orc-barracks"} } )]]
  
-- Inventor Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-dwarven-gryphon-rider",
  Action = "train-unit", Value = "unit-zeppelin", Popup = "popup-unit",
  Key = "f", Hint = _("Build ~!Flyer"),
  ForUnit = {"unit-alchemist"} } )
  
DefineButton( { Pos = 2, Level = 0, Icon = "icon-dwarven-steelclad",
  Action = "train-unit", Value = "unit-goblin-sappers", Popup = "popup-unit",
  Key = "d", Hint = _("Train ~!Goblin"),
  ForUnit = {"unit-alchemist"} } )
  
-- Mage Tower Commands ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-gnomish-herbalist",
  Action = "train-unit", Value = "unit-death-knight", Popup = "popup-unit",
  Key = "t", Hint = _("~!Train Death Knight"),
  ForUnit = {"unit-temple-of-the-damned"} } )
  
-- Gryphon Aviary Commands ---------------------------------------------------------
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-dwarven-gryphon-rider",
  Action = "train-unit", Value = "unit-dragon", Popup = "popup-unit",
  Key = "d", Hint = _("Train ~!Dragon"),
  ForUnit = {"unit-dragon-roost"} } )

-- Watch Tower Commands ---------------------------------------------------------
  -- Clock Tower???
DefineButton( { Pos = 1, Level = 0, Icon = "icon-teuton-watch-tower",
  Action = "upgrade-to", Value = "unit-orc-guard-tower", Popup = "popup-unit",
  Key = "g", Hint = _("Upgrade to ~!Guard Tower"),
  ForUnit = {"unit-orc-watch-tower"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-teuton-watch-tower",
  Action = "upgrade-to", Value = "unit-orc-cannon-tower", Popup = "popup-unit",
  Key = "c", Hint = _("Upgrade to ~!Cannon Tower"),
  ForUnit = {"unit-orc-watch-tower"} } )

-- Wiseman Basic ---------------------------------------------------------

DefineAllow("unit-caanoo-wiseman", "AAAAAAAAAAAAAAAA")

DefineButton( { Pos = 7, Level = 0, Icon = "icon-build-basic-structure",
	Action = "button", Value = 1,
	Key = "b", Hint = "~!Build Basic",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )

DefineButton( { Pos = 8, Level = 0, Icon = "icon-build-basic-structure",
	Action = "button", Value = 2,
	Key = "v", Hint = "Build Ad~!vanced",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )

DefineButton( { Pos = 3, Level = 1, Icon = "icon-germanic-warrior",
	Action = "cast-spell", Value = "spell-unit-grunt",
	Key = "f", Hint = "~!Footman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )

DefineButton( { Pos = 6, Level = 1, Icon = "icon-germanic-warrior",
	Action = "cast-spell", Value = "spell-unit-quick-blade",
	Key = "d", Hint = "~!Danath", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )

DefineButton( { Pos = 2, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-axethrower",
	Key = "a", Hint = "~!Archer", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 1, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-ogre",
	Key = "k", Hint = "~!Knight", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 4, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-ogre-mage",
	Key = "p", Hint = "~!Paladin", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	
	
DefineButton( { Pos = 5, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-berserker",
	Key = "r", Hint = "~!Ranger", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 7, Level = 1, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-fad-man",
	Key = "h", Hint = "~!Hero", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	
	
DefineButton( { Pos = 8, Level = 1, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-sharp-axe",
	Key = "f", Hint = "~!Female", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	
	
DefineButton( { Pos = 9, Level = 1, Icon = "icon-cancel",
	Action = "button", Value = 0,
	Key = "ESC", Hint = "~<ESC~> Cancel",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

-- Wiseman Advanced ---------------------------------------------------------

DefineButton( { Pos = 2, Level = 2, Icon = "icon-dwarven-steelclad",
	Action = "cast-spell", Value = "spell-unit-goblin-sappers",
	Key = "d", Hint = "~!Dwarf", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 1, Level = 2, Icon = "icon-gnomish-herbalist",
	Action = "cast-spell", Value = "spell-unit-death-knight",
	Key = "m", Hint = "~!Mage", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 3, Level = 2, Icon = "icon-dwarven-ballista",
	Action = "cast-spell", Value = "spell-unit-catapult",
	Key = "b", Hint = "~!Ballista", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 4, Level = 2, Icon = "icon-germanic-worker",
	Action = "cast-spell", Value = "spell-unit-peon",
	Key = "p", Hint = "~!Peasant", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	
			 
DefineButton( { Pos = 5, Level = 2, Icon = "icon-germanic-archer",
	Action = "cast-spell", Value = "spell-unit-nomad",
	Key = "o", Hint = "Ye~!oman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 6, Level = 2, Icon = "icon-germanic-worker",
	Action = "cast-spell", Value = "spell-unit-skeleton",
	Key = "u", Hint = "Min~!uteman", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 8, Level = 2, Icon = "icon-dwarven-gryphon-rider",
	Action = "cast-spell", Value = "spell-unit-dragon",
	Key = "g", Hint = "~!Gryphon", Popup = "popup-building",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

DefineButton( { Pos = 9, Level = 2, Icon = "icon-cancel",
	Action = "button", Value = 0,
	Key = "ESC", Hint = "~<ESC~> CANCEL",
	ForUnit = {"unit-caanoo-wiseskeleton"} } )	

-- Blacksmith Upgrades ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-battle-axe2",
  Action = "research", Value = "upgrade-battle-axe1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "w", Hint = _("UPGRADE ~!WEAPONS (Damage +2)"),
  ForUnit = {"unit-orc-blacksmith"} } )
  
DefineButton( { Pos = 1, Level = 0, Icon = "icon-battle-axe3",
  Action = "research", Value = "upgrade-battle-axe2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "w", Hint = _("UPGRADE ~!WEAPONS (Damage +2)"),
  ForUnit = {"unit-orc-blacksmith"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-orc-shield2",
  Action = "research", Value = "upgrade-orc-shield1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("UPGRADE ~!SHIELDS (Armor +2)"),
  ForUnit = {"unit-orc-blacksmith"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-orc-shield3",
  Action = "research", Value = "upgrade-orc-shield2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("UPGRADE ~!SHIELDS (Armor +2)"),
  ForUnit = {"unit-orc-blacksmith"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-catapult1",
  Action = "research", Value = "upgrade-catapult1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "c", Hint = _("UPGRADE ~!CATAPULT (Damage +15)"),
  ForUnit = {"unit-orc-blacksmith"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-catapult2",
  Action = "research", Value = "upgrade-catapult2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "c", Hint = _("UPGRADE ~!CATAPULT (Damage +15)"),
  ForUnit = {"unit-orc-blacksmith"} } )
  

-- Carpenter's Shop Upgrades ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-throwing-axe2",
  Action = "research", Value = "upgrade-throwing-axe1", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "u", Hint = _("~!UPGRADE THROWING AXE (Damage +1)"),
  ForUnit = {"unit-troll-lumber-mill"} } )

DefineButton( { Pos = 1, Level = 0, Icon = "icon-throwing-axe3",
  Action = "research", Value = "upgrade-throwing-axe2", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "u", Hint = _("~!UPGRADE THROWING AXE (Damage +1)"),
  ForUnit = {"unit-troll-lumber-mill"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-berserker",
  Action = "research", Value = "upgrade-berserker", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "b", Hint = _("TROLL ~!BERSERKER TRAINING"),
  ForUnit = {"unit-troll-lumber-mill"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-berserker-scouting",
  Action = "research", Value = "upgrade-berserker-scouting", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "s", Hint = _("BERSERKER ~!SCOUTING (Sight:9)"),
  ForUnit = {"unit-troll-lumber-mill"} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-light-axes",
  Action = "research", Value = "upgrade-light-axes", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "a", Hint = _("RESEARCH LIGHTER ~!AXES (Range +1)"),
  ForUnit = {"unit-troll-lumber-mill"} } )

DefineButton( { Pos = 6, Level = 0, Icon = "icon-berserker-regeneration",
  Action = "research", Value = "upgrade-berserker-regeneration", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "r", Hint = _("BERSERKER ~!REGENERATION"),
  ForUnit = {"unit-troll-lumber-mill"} } )
  
-- Church Upgrades ---------------------------------------------------------

DefineButton( { Pos = 1, Level = 0, Icon = "icon-ogre-mage",
  Action = "research", Value = "upgrade-ogre-mage", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "m", Hint = _("UPGRADES OGRES TO ~!MAGES"),
  ForUnit = {"unit-altar-of-storms"} } )

DefineButton( { Pos = 2, Level = 0, Icon = "icon-bloodlust",
  Action = "research", Value = "upgrade-bloodlust", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "b", Hint = _("RESEARCH ~!BLOODLUST"),
  ForUnit = {"unit-altar-of-storms"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-runes",
  Action = "research", Value = "upgrade-runes", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "r", Hint = _("RESEARCH ~!RUNES"),
  ForUnit = {"unit-altar-of-storms"} } )
  
-- Library Upgrades ---------------------------------------------------------
  
DefineButton( { Pos = 2, Level = 0, Icon = "icon-haste",
  Action = "research", Value = "upgrade-haste", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "h", Hint = _("RESEARCH ~!HASTE"),
  ForUnit = {"unit-temple-of-the-damned"} } )

DefineButton( { Pos = 3, Level = 0, Icon = "icon-skeleton",
  Action = "research", Value = "upgrade-raise-dead", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "r", Hint = _("RESEARCH ~!RAISE DEAD"),
  ForUnit = {"unit-temple-of-the-damned"} } )

DefineButton( { Pos = 4, Level = 0, Icon = "icon-whirlwind",
  Action = "research", Value = "upgrade-whirlwind", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "w", Hint = _("RESEARCH ~!WHIRLWIND"),
  ForUnit = {"unit-temple-of-the-damned"} } )

DefineButton( { Pos = 5, Level = 0, Icon = "icon-unholy-armor",
  Action = "research", Value = "upgrade-unholy-armor", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "u", Hint = _("RESEARCH ~!UNHOLY ARMOR"),
  ForUnit = {"unit-temple-of-the-damned"} } )

DefineButton( { Pos = 6, Level = 0, Icon = "icon-death-and-decay",
  Action = "research", Value = "upgrade-death-and-decay", Popup = "popup-research",
  Allowed = "check-single-research",
  Key = "d", Hint = _("RESEARCH ~!DEATH AND DECAY"),
  ForUnit = {"unit-temple-of-the-damned"} } )
  
-- Paladin Upgrades ---------------------------------------------------------
  --[[
DefineButton( { Pos = 7, Level = 0, Icon = "icon-eye-of-kilrogg",
  Action = "cast-spell", Value = "spell-eye-of-vision", Popup = "popup-research",
  Allowed = "check-upgrade", AllowArg = {"upgrade-eye-of-kilrogg"},
  Key = "k", Hint = _("EYE OF ~!KILROGG"),
  ForUnit = {"unit-ogre-mage", "unit-fad-man"} } )

DefineButton( { Pos = 8, Level = 0, Icon = "icon-bloodlust",
  Action = "cast-spell", Value = "spell-bloodlust", Popup = "popup-orc-upgrade",
  Allowed = "check-upgrade", AllowArg = {"upgrade-bloodlust"},
  Key = "b", Hint = _("~!BLOODLUST"),
  ForUnit = {"unit-ogre-mage", "unit-fad-man"} } )]]

DefineButton( { Pos = 9, Level = 0, Icon = "icon-runes",
  Action = "cast-spell", Value = "spell-holy-vision", Popup = "popup-research",
  Allowed = "check-upgrade", AllowArg = {"upgrade-runes"},
  Key = "r", Hint = _("~!RUNES"),
  ForUnit = {"unit-ogre-mage", "unit-fad-man"} } )

-- Bomber Upgrades ---------------------------------------------------------
  
  
-- Alchemist Upgrades ---------------------------------------------------------